

Turn on MS_ONE_SECOND in ext2 and ext3.


 25-akpm/fs/ext2/super.c |    1 +
 25-akpm/fs/ext3/super.c |    1 +
 2 files changed, 2 insertions(+)

diff -puN fs/ext2/super.c~one-sec-times fs/ext2/super.c
--- 25/fs/ext2/super.c~one-sec-times	Wed Mar  5 13:42:38 2003
+++ 25-akpm/fs/ext2/super.c	Wed Mar  5 13:42:38 2003
@@ -598,6 +598,7 @@ static int ext2_fill_super(struct super_
 	es = (struct ext2_super_block *) (((char *)bh->b_data) + offset);
 	sbi->s_es = es;
 	sb->s_magic = le16_to_cpu(es->s_magic);
+	sb->s_flags |= MS_ONE_SECOND;
 	if (sb->s_magic != EXT2_SUPER_MAGIC) {
 		if (!silent)
 			printk ("VFS: Can't find ext2 filesystem on dev %s.\n",
diff -puN fs/ext3/super.c~one-sec-times fs/ext3/super.c
--- 25/fs/ext3/super.c~one-sec-times	Wed Mar  5 13:42:38 2003
+++ 25-akpm/fs/ext3/super.c	Wed Mar  5 13:42:38 2003
@@ -1094,6 +1094,7 @@ static int ext3_fill_super (struct super
 	if (!parse_options ((char *) data, sbi, &journal_inum, 0))
 		goto failed_mount;
 
+	sb->s_flags |= MS_ONE_SECOND;
 	sb->s_flags = (sb->s_flags & ~MS_POSIXACL) |
 		((sbi->s_mount_opt & EXT3_MOUNT_POSIX_ACL) ? MS_POSIXACL : 0);
 

_
